unit Unit4;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg, VclTee.TeePoin3, VclTee.TeeTools, VclTee.TeeSurfa, VclTee.TeeComma;

type
  TForm1 = class(TForm)
    ButtonExit: TButton;
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TPolarSeries;
    ChartTool1: TAnnotationTool;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  i: integer;
begin
  with Chart1 do
    begin
      View3D := false;
      View3DWalls := false;
      Chart3DPercent := 0;
    end;

  if Chart1.SeriesCount > 0 then
    Chart1.FreeAllSeries();
  for i := 0 to 2 do
    begin
      with Chart1.AddSeries(TPolarSeries) as TPolarSeries do
        begin
          FillSampleValues;
          Pen.Color := Color;
          Pen.Width := 2;
          Pen.Style := psSolid;
          Pointer.Visible := true;
          Pointer.HorizSize := 5;
          Pointer.VertSize := 5;
        end;
    end;
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  close;
end;

end.
